# Class Completions

java.lang.Object
javax.annotation.processing.Completions

public class Completions extends Object
Utility class for assembling `Completion` objects.

Since:
  1.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Completion`
  `of(String value)`
  Returns a completion of the value and an empty message.
  `static Completion`
  `of(String value, String message)`
  Returns a completion of the value and message.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### of

    public static Completion of(String value, String message)
    Returns a completion of the value and message.
    Parameters:
      `value` - the text of the completion
      `message` - a message about the completion
    Returns:
      a completion of the value and message

  - ### of

    public static Completion of(String value)
    Returns a completion of the value and an empty message.
    Parameters:
      `value` - the text of the completion
    Returns:
      a completion of the value and an empty message